Jump to content

[Support] binhex - Sonarr


Recommended Posts

On 3/19/2024 at 7:52 AM, guythnick said:

 

 Also getting the same error when adding a show or when the application refreshes info.  Did you ever find a fix for this?

 

DEBG 'sonarr' stdout output:
[Error] X509CertificateValidationService: Certificate validation for https://skyhook.sonarr.tv/v1/tvdb/shows/en/403294 failed. RemoteCertificateChainErrors 


[v3.0.4.1126] System.Net.WebException: Error: TrustFailure (Authentication failed, see inner exception.): 'https://skyhook.sonarr.tv/v1/tvdb/shows/en/403294' ---> System.Net.WebException: Error: TrustFailure (Authentication failed, see inner exception.) ---> System.Security.Authentication.AuthenticationException: Authentication failed, see inner exception. ---> Mono.Btls.MonoBtlsException: Ssl error:1000007d:SSL routines:OPENSSL_internal:CERTIFICATE_VERIFY_FAILED
  at /build/mono/src/mono/external/boringssl/ssl/handshake_client.c:1132
...

 

 

I have the same issue. something is broken

 

 

Link to comment

So, I've ran into an issue that has been three years in the making.

 

I have been using SABNZBD and the -arr suite for some time. I started out using the Binhex containers. Sometime in 2021, I switched the repository for my existing container from the Binhex source to Linuxserver's. I'm not exactly sure why I did this, but it might have been because of the major version release around that time and Linuxserver had a preview build of it. I only did this switch with Sonarr.

 

Fast forward to a couple weeks ago, I noticed that the container was no longer updating and probably hasn't for some time. This is when I noticed and remembered that the container was pointed to the Linuxserver repository preview build, even though I know it was originally the Binhex container. I pointed it back to the Binhex repo and updated to pull down the new container. After updating, the web UI was no longer available. I didn't have time to mess with it, so I switched it back to the Linuxserver repo, updated, and everything looked good. "This is a future me problem" I thought.

 

Fast forward again to today, and future me noticed that nothing has downloaded for any of my monitored shows in the last two weeks. I did a search on one of the shows that are on my calendar and there were indeed episodes that matched the criteria in my profiles that should have downloaded. However, they were all rejecting with the error. "BlacklistSpecification: SQL logic error no such table: Blacklist." I get this with every single entry for every single show. I can still manually download them, however.

 

I did some research and apparently this happens when you upgrade Sonarr and then roll back. It seems that when I switched back to the Binhex repo and Sonarr was able to update again, it also updated the database. (So I'm guessing Sonarr was working under the hood even if the UI was busted) And since I had to switch back to Linuxserver's, it can now no longer properly read the database since it is an older version.

 

I tried switching back to the Binhex repo again today, but were met with the same results as two weeks ago. An inaccessible UI. Since my database is now unreadable by the previous version, it looks like my only option short of wiping my Sonarr appdata is to figure out how to get it working using the container from the Binhex repo again. Again, I think it's working under the hood. The web UI just appears to be borked. Any ideas on where to start on troubleshooting this?

Edited by Phastor
Link to comment
15 minutes ago, BobbyPoor_Boy said:

 

Reporting the same issue.  Haven't been able to find a fix yet.  I believe the issue started last week.

it looks like this maybe related to out of date mono, so i have kicked off the build again, please pull down latest in around 30 mins from now and report back.

Link to comment

I have seen other similar post, but havent figured out the solution. I am getting the skyhook error when searching for series. Not sure what I need to do. I have tried updating sonarr but seems to be the latest version, havent figured out how to get version 4. Any help apreciated.

Unraid 6.12.4

Binhex-sonarr 3.0.4.1126

image.thumb.png.760638f97c8beff1cacb2791a52cf5b7.png

Link to comment
5 hours ago, Itsaulgoodman said:

I have seen other similar post, but havent figured out the solution. I am getting the skyhook error when searching for series. Not sure what I need to do. I have tried updating sonarr but seems to be the latest version, havent figured out how to get version 4. Any help apreciated.

Unraid 6.12.4

Binhex-sonarr 3.0.4.1126

image.thumb.png.760638f97c8beff1cacb2791a52cf5b7.png

im using this image myself and search works with no issue, i can also add a series and see details about the new series, what am i missing here?

Link to comment

Hello all- I am seeing a bug on Sonarr that allows you to enable both "Delete empty series" and "Create missing series". I believe this is a bug as only one of them should be allowed to be enabled, similar to binhex-radarr.

Link to comment
7 hours ago, binhex said:

im using this image myself and search works with no issue, i can also add a series and see details about the new series, what am i missing here?

 Here's what my log file is showing for this. It is the first thing on top of my log and pertains to the mono error.

 

[v3.0.4.1126] System.Net.WebException: Error: TrustFailure (Authentication failed, see inner exception.): 'https://skyhook.sonarr.tv/v1/tvdb/shows/en/420659' ---> System.Net.WebException: Error: TrustFailure (Authentication failed, see inner exception.) ---> System.Security.Authentication.AuthenticationException: Authentication failed, see inner exception. ---> Mono.Btls.MonoBtlsException: Ssl error:1000007d:SSL routines:OPENSSL_internal:CERTIFICATE_VERIFY_FAILED at /build/mono/src/mono/external/boringssl/ssl/handshake_client.c:1132 at Mono.Btls.MonoBtlsContext.ProcessHandshake () [0x00057] in /build/mono/src/mono/mcs/class/System/Mono.Btls/MonoBtlsContext.cs:226 at Mono.Net.Security.MobileAuthenticatedStream.ProcessHandshake (Mono.Net.Security.AsyncOperationStatus status, System.Boolean renegotiate) [0x000da] in /build/mono/src/mono/mcs/class/System/Mono.Net.Security/MobileAuthenticatedStream.cs:715 at (wrapper remoting-invoke-with-check) Mono.Net.Security.MobileAuthenticatedStream.ProcessHandshake(Mono.Net.Security.AsyncOperationStatus,bool) at Mono.Net.Security.AsyncHandshakeRequest.Run (Mono.Net.Security.AsyncOperationStatus status) [0x00000] in /build/mono/src/mono/mcs/class/System/Mono.Net.Security/AsyncProtocolRequest.cs:289 at Mono.Net.Security.AsyncProtocolRequest.ProcessOperation (System.Threading.CancellationToken cancellationToken) [0x000fc] in /build/mono/src/mono/mcs/class/System/Mono.Net.Security/AsyncProtocolRequest.cs:223

Link to comment
17 minutes ago, Moose_Flunky said:

 Here's what my log file is showing for this. It is the first thing on top of my log and pertains to the mono error.

ok so walk me through the steps you did in the web ui to make it error, also you are up to date right?, please ensure you have done a 'force update'

 

edit - using cloudflare by any chance? 

 

Link to comment

Not using Cloudflare.

 

Okay. Simply going to "Series", "Add New".  Type Black Sails (or anything, actually) in the search box and the error pops up immediately. It's even been failing on the first letter "B".

 

Failed to load search results, please try again.

Search for 'B' failed. Invalid response received from SkyHook.

 

I couldn't find a Force Update option anywhere on the page. My Unraid shows that the docker is up to date.

 

Version

3.0.4.1126

Package Version

3.0.4.1126-1 by sonarr-phantom

Mono Version

6.12.0

Link to comment
13 hours ago, Itsaulgoodman said:

I have seen other similar post, but havent figured out the solution. I am getting the skyhook error when searching for series. Not sure what I need to do. I have tried updating sonarr but seems to be the latest version, havent figured out how to get version 4. Any help apreciated.

Unraid 6.12.4

Binhex-sonarr 3.0.4.1126

I have never released Sonarr version 3.0.4.1126. you sure about that?

Link to comment
7 minutes ago, Moose_Flunky said:

Version

3.0.4.1126

that is a very odd version! same as the other guy, i have never produced that version, or at least i have no image tagged with that version, the current latest version is Sonarr 4.0.2.1183:-
 

sonarr.JPG

Link to comment
1 minute ago, binhex said:

that is a very odd version! same as the other guy, i have never produced that version, or at least i have no image tagged with that version, the current latest version is Sonarr 4.0.2.1183:-

 

Could this be related in some fashion to those of us still on Unraid 6.11 and not having the new Community Applications plugin?  I ask because my Sonarr still shows as latest on the docker tab, even though it seems to be an older version than you just posted.

Link to comment
6 minutes ago, Moose_Flunky said:

 

Could this be related in some fashion to those of us still on Unraid 6.11 and not having the new Community Applications plugin?  I ask because my Sonarr still shows as latest on the docker tab, even though it seems to be an older version than you just posted.

2 things to check:-

 

1. go to unraid docker web ui, left click sonarr and select 'edit' then top right click on 'basic view' toggle to turn it on to 'advanced view', then check the 'repository' it should be set to 'binhex/arch-sonarr' if it has a colon and then some value then you are hard set to a particular tagged image, remove the colon and the value after it.

2.  go to unraid docker web ui, click on top right click on 'basic view' toggle to turn it on to 'advanced view' then click on 'force update' link.

 

this should sort you out, and to answer your question, no i would not expect an old CA plugin to block updates to docker images.

  • Upvote 1
Link to comment
7 minutes ago, binhex said:

1. go to unraid docker web ui, left click sonarr and select 'edit' then top right click on 'basic view' toggle to turn it on to 'advanced view', then check the 'repository' it should be set to 'binhex/arch-sonarr' if it has a colon and then some value then you are hard set to a particular tagged image, remove the colon and the value after it.

2.  go to unraid docker web ui, click on top right click on 'basic view' toggle to turn it on to 'advanced view' then click on 'force update' link.

 

Number 1 fixed the issue. My repository had "binhex/arch-sonarr:v3". Removing the :v3 let it update and it now is working again.

 

Thank you!

  • Like 1
Link to comment
On 3/24/2024 at 8:19 PM, Phastor said:

So, I've ran into an issue that has been three years in the making.

 

I have been using SABNZBD and the -arr suite for some time. I started out using the Binhex containers. Sometime in 2021, I switched the repository for my existing container from the Binhex source to Linuxserver's. I'm not exactly sure why I did this, but it might have been because of the major version release around that time and Linuxserver had a preview build of it. I only did this switch with Sonarr.

 

Fast forward to a couple weeks ago, I noticed that the container was no longer updating and probably hasn't for some time. This is when I noticed and remembered that the container was pointed to the Linuxserver repository preview build, even though I know it was originally the Binhex container. I pointed it back to the Binhex repo and updated to pull down the new container. After updating, the web UI was no longer available. I didn't have time to mess with it, so I switched it back to the Linuxserver repo, updated, and everything looked good. "This is a future me problem" I thought.

 

Fast forward again to today, and future me noticed that nothing has downloaded for any of my monitored shows in the last two weeks. I did a search on one of the shows that are on my calendar and there were indeed episodes that matched the criteria in my profiles that should have downloaded. However, they were all rejecting with the error. "BlacklistSpecification: SQL logic error no such table: Blacklist." I get this with every single entry for every single show. I can still manually download them, however.

 

I did some research and apparently this happens when you upgrade Sonarr and then roll back. It seems that when I switched back to the Binhex repo and Sonarr was able to update again, it also updated the database. (So I'm guessing Sonarr was working under the hood even if the UI was busted) And since I had to switch back to Linuxserver's, it can now no longer properly read the database since it is an older version.

 

I tried switching back to the Binhex repo again today, but were met with the same results as two weeks ago. An inaccessible UI. Since my database is now unreadable by the previous version, it looks like my only option short of wiping my Sonarr appdata is to figure out how to get it working using the container from the Binhex repo again. Again, I think it's working under the hood. The web UI just appears to be borked. Any ideas on where to start on troubleshooting this?

An update on this. I tried binhex\arch-sonarr:v3. The container UI is functional with this. I am still getting the "BlacklistSpecification: SQL logic error no such table: Blacklist" error for every show episode though, so nothing monitored is being downloaded. Going back to binhex\arch-sonarr still makes the UI inaccessible.

Link to comment
5 hours ago, binhex said:

2 things to check:-

 

1. go to unraid docker web ui, left click sonarr and select 'edit' then top right click on 'basic view' toggle to turn it on to 'advanced view', then check the 'repository' it should be set to 'binhex/arch-sonarr' if it has a colon and then some value then you are hard set to a particular tagged image, remove the colon and the value after it.

2.  go to unraid docker web ui, click on top right click on 'basic view' toggle to turn it on to 'advanced view' then click on 'force update' link.

 

this should sort you out, and to answer your question, no i would not expect an old CA plugin to block updates to docker images.

This fixed mine as well. Had ":v3" on mine as well. TY BH

Link to comment
5 hours ago, Phastor said:

An update on this. I tried binhex\arch-sonarr:v3. The container UI is functional with this. I am still getting the "BlacklistSpecification: SQL logic error no such table: Blacklist" error for every show episode though, so nothing monitored is being downloaded. Going back to binhex\arch-sonarr still makes the UI inaccessible.

 

Once you switched it back to binhex/arch-sonarr in the repository, did you force an update?  That was step 2 in Binhex's instructions. Try that and see if it pulls down a clean install. Other than that, I put you back in the gentle hands of Binhex.

Link to comment
55 minutes ago, Moose_Flunky said:

 

Once you switched it back to binhex/arch-sonarr in the repository, did you force an update?  That was step 2 in Binhex's instructions. Try that and see if it pulls down a clean install. Other than that, I put you back in the gentle hands of Binhex.

Just gave this a shot and unfortunately that's still a no-go. No change in bahavior.

Thanks though!

Link to comment
16 hours ago, binhex said:

2 things to check:-

 

1. go to unraid docker web ui, left click sonarr and select 'edit' then top right click on 'basic view' toggle to turn it on to 'advanced view', then check the 'repository' it should be set to 'binhex/arch-sonarr' if it has a colon and then some value then you are hard set to a particular tagged image, remove the colon and the value after it.

2.  go to unraid docker web ui, click on top right click on 'basic view' toggle to turn it on to 'advanced view' then click on 'force update' link.

 

this should sort you out, and to answer your question, no i would not expect an old CA plugin to block updates to docker images.

Awesome, Thank you.

Link to comment
20 hours ago, binhex said:

2 things to check:-

 

1. go to unraid docker web ui, left click sonarr and select 'edit' then top right click on 'basic view' toggle to turn it on to 'advanced view', then check the 'repository' it should be set to 'binhex/arch-sonarr' if it has a colon and then some value then you are hard set to a particular tagged image, remove the colon and the value after it.

2.  go to unraid docker web ui, click on top right click on 'basic view' toggle to turn it on to 'advanced view' then click on 'force update' link.

 

this should sort you out, and to answer your question, no i would not expect an old CA plugin to block updates to docker images.

 

Worked for me.  Thank you for your help with all the dockers you maintain!

 

Gave a Tip as well. 

  • Like 1
Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...